XSWildcard (XML Schema API)
Keywords: org.apache.xerces.xs.XSWildcard interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xs
Interface XSWildcard

All Superinterfaces:
  XSObject, XSTerm

    public interface XSWildcard

extends XSTerm

This interface represents the Wildcard schema component.

Field Summary
`static short` | `NSCONSTRAINT_ANY` Namespace Constraint: any namespace is allowed.
`static short` | `NSCONSTRAINT_LIST` Namespace Constraint: namespaces in the list are allowed.
`static short` | `NSCONSTRAINT_NOT` Namespace Constraint: namespaces in the list are not allowed.
`static short` | `PC_LAX` If the item, or any items among its [children] is an element information item, has a uniquely determined declaration available, it must be valid with respect to that definition, that is, validate where you can and do not worry when you cannot.
`static short` | `PC_SKIP` No constraints at all: the item must simply be well-formed XML.
`static short` | `PC_STRICT` There must be a top-level declaration for the item available, or the item must have an xsi:type, and the item must be valid as appropriate.

Method Summary
`XSAnnotation` | `getAnnotation()` An annotation if it exists, otherwise `null`.
`XSObjectList` | `getAnnotations()` A sequence of [annotations] or an empty `XSObjectList`.
`short` | `getConstraintType()` Namespace constraint: A constraint type: any, not, list.
`StringList` | `getNsConstraintList()` Namespace constraint: For `constraintType` `NSCONSTRAINT_LIST`, the list contains allowed namespaces.
`short` | `getProcessContents()` [process contents]: one of skip, lax or strict.

Methods inherited from interface org.apache.xerces.xs.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Field Detail

### NSCONSTRAINT_ANY

    static final short NSCONSTRAINT_ANY

  Namespace Constraint: any namespace is allowed.

  See Also:
    Constant Field Values

### NSCONSTRAINT_NOT

    static final short NSCONSTRAINT_NOT

  Namespace Constraint: namespaces in the list are not allowed.

  See Also:
    Constant Field Values

### NSCONSTRAINT_LIST

    static final short NSCONSTRAINT_LIST

  Namespace Constraint: namespaces in the list are allowed.

  See Also:
    Constant Field Values

### PC_STRICT

    static final short PC_STRICT

  There must be a top-level declaration for the item available, or the item must have an xsi:type, and the item must be valid as appropriate.

  See Also:
    Constant Field Values

### PC_SKIP

    static final short PC_SKIP

  No constraints at all: the item must simply be well-formed XML.

  See Also:
    Constant Field Values

### PC_LAX

    static final short PC_LAX

  If the item, or any items among its [children] is an element information item, has a uniquely determined declaration available, it must be valid with respect to that definition, that is, validate where you can and do not worry when you cannot.

  See Also:
    Constant Field Values

Method Detail

### getConstraintType

    short getConstraintType()

  Namespace constraint: A constraint type: any, not, list.

### getNsConstraintList

    StringList getNsConstraintList()

  Namespace constraint: For `constraintType` `NSCONSTRAINT_LIST`, the list contains allowed namespaces. For `constraintType` `NSCONSTRAINT_NOT`, the list contains disallowed namespaces. For `constraintType` `NSCONSTRAINT_ANY`, the `StringList` is empty.

### getProcessContents

    short getProcessContents()

  [process contents]: one of skip, lax or strict. Valid constants values are: `PC_LAX`, `PC_SKIP` and `PC_STRICT`.

### getAnnotation

    XSAnnotation getAnnotation()

  An annotation if it exists, otherwise `null`. If not null then the first [annotation] from the sequence of annotations.

### getAnnotations

    XSObjectList getAnnotations()

  A sequence of [annotations] or an empty `XSObjectList`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.